<?php

# 常量定义[Constants]
# ------------------------------------------------------------------------------
define( 'THE4_THEME_NAME'      , 'chop'                                          );
define( 'THE4_THEME_AUTHOR'    , '4WL'                                          );
define( 'THE4_THEME_VERSION'   , '1.0.0'                                             );
define( 'THE4_CSS_PATH'        , get_template_directory_uri()."/dist/assets/css/"    );
define( 'THE4_JS_PATH'         , get_template_directory_uri()."/dist/assets/js/"     );
define( 'THE4_SRC_PATH'        , get_template_directory_uri()."/dist/assets/"        );
define( 'THE4_FUNCTIONS_PATH'  , get_template_directory_uri()."/dist/inc/wordpress/" );
define( 'THE4_DEFAULT_IMG_PATH', get_template_directory_uri()."/screenshot.png"      );

# 引用JS/CSS [enqueue]
# ------------------------------------------------------------------------------
require_once( dirname( __FILE__ ) . '/dist/inc/enqueue/enqueue-css.php'     );
require_once( dirname( __FILE__ ) . '/dist/inc/enqueue/enqueue-js.php'      );
require_once( dirname( __FILE__ ) . '/dist/inc/enqueue/enqueue-other.php'   );


# WORDPRESS设置和自定义 [WordPress Settings and Customizations]
# ------------------------------------------------------------------------------
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-add.php'          );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-branding.php'     );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-breadcrumbs.php'  );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-notice.php'       );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-page_nav.php'     );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-regMenu.php'      );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-remove.php'       );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-seo.php'          );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-views.php'        );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-excerpt.php'      );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-strimwidth.php'   );
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-list-category.php');
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-thumbs.php');
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-smilies.php');
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-comments.php');
require_once( dirname( __FILE__ ) . '/dist/inc/function/wp-widget.php');
require_once( dirname( __FILE__ ) . '/dist/inc/updater/theme-updater.php');

# 引用site_map功能 [Include the site_map ]
# ------------------------------------------------------------------------------
# require_once( dirname( __FILE__ ) . '/dist/inc/sitemap/sitemap.php'         );

# 引用cs框架 [Include the cs framework ]
# ------------------------------------------------------------------------------
require_once( dirname( __FILE__ ) . '/dist/inc/setting/cs-framework.php'    );

# 启用特色图像 [Support post-thumbnails ]
# ------------------------------------------------------------------------------
//add_theme_support( 'post-thumbnails'                                       );

# 去除wordpress前台顶部工具条
# ------------------------------------------------------------------------------
show_admin_bar(false);





